Freeciv-3.1: nation_type Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
nation_type Struct Reference

`#include <nation.h>`

## Data Fields

Nation_type_id | item_number
char * | translation_domain
struct name_translation | adjective
struct name_translation | noun_plural
char | flag_graphic_str [MAX_LEN_NAME]
char | flag_graphic_alt [MAX_LEN_NAME]
struct nation_leader_list * | leaders
struct nation_style * | style
char * | legend
bool | is_playable
enum barbarian_type | barb_type
struct nation_set_list * | sets
struct nation_group_list * | groups
struct player * | player
int | init_techs [MAX_NUM_TECH_LIST]
int | init_buildings [MAX_NUM_BUILDING_LIST]
struct government * | init_government
struct unit_type * | init_units [MAX_NUM_UNIT_LIST]
union { |
struct { |
struct nation_city_list * default_cities |
struct nation_list * civilwar_nations |
struct nation_list * parent_nations |
struct nation_list * conflicts_with |
struct rgbcolor * rgb |
struct trait_limits * traits |
bool no_startpos |
} server |
struct { |
bool is_pickable |
} client |
}; |  |

## Detailed Description

Definition at line 97 of file nation.h.

## Field Documentation

## ◆ [union]

union { ... } nation_type

## ◆ adjective

struct name_translation nation_type::adjective

Definition at line 100 of file nation.h.

Referenced by handle_ruleset_nation(), load_nation_names(), nation_adjective_translation(), nation_rule_name(), and save_nation().

## ◆ barb_type

enum barbarian_type nation_type::barb_type

Definition at line 109 of file nation.h.

Referenced by handle_ruleset_nation(), load_ruleset_nations(), nation_barbarian_type(), pick_a_nation(), and save_nation().

## ◆ civilwar_nations

struct nation_list* nation_type::civilwar_nations

Definition at line 134 of file nation.h.

Referenced by city_name_suggestion(), nation_free(), nation_init(), and save_nation().

## ◆ [struct]

struct { ... } nation_type::client

Referenced by handle_nation_availability(), handle_ruleset_nation(), and is_nation_pickable().

## ◆ conflicts_with

struct nation_list* nation_type::conflicts_with

Definition at line 139 of file nation.h.

Referenced by nation_free(), nation_init(), nations_match(), and save_nation().

## ◆ default_cities

struct nation_city_list* nation_type::default_cities

Definition at line 130 of file nation.h.

Referenced by nation_cities(), nation_city_new(), nation_free(), nation_init(), and save_nation().

## ◆ flag_graphic_alt

char nation_type::flag_graphic_alt[MAX_LEN_NAME]

Definition at line 103 of file nation.h.

Referenced by handle_ruleset_nation(), save_nation(), and tileset_setup_nation_flag().

## ◆ flag_graphic_str

char nation_type::flag_graphic_str[MAX_LEN_NAME]

Definition at line 102 of file nation.h.

Referenced by handle_ruleset_nation(), save_nation(), and tileset_setup_nation_flag().

## ◆ groups

struct nation_group_list* nation_type::groups

Definition at line 115 of file nation.h.

Referenced by handle_ruleset_nation(), nation_free(), nation_init(), nation_is_in_group(), and nations_match().

## ◆ init_buildings

int nation_type::init_buildings[MAX_NUM_BUILDING_LIST]

Definition at line 122 of file nation.h.

Referenced by city_build_free_buildings(), handle_ruleset_nation(), helptext_nation(), and save_nation().

## ◆ init_government

struct government* nation_type::init_government

Definition at line 123 of file nation.h.

Referenced by final_ruleset_adjustments(), handle_ruleset_nation(), helptext_nation(), init_government_of_nation(), and save_nation().

## ◆ init_techs

int nation_type::init_techs[MAX_NUM_TECH_LIST]

Definition at line 121 of file nation.h.

Referenced by give_initial_techs(), handle_ruleset_nation(), helptext_nation(), nation_has_initial_tech(), and save_nation().

## ◆ init_units

struct unit_type* nation_type::init_units[MAX_NUM_UNIT_LIST]

Definition at line 124 of file nation.h.

Referenced by handle_ruleset_nation(), helptext_nation(), init_new_game(), and save_nation().

## ◆ is_pickable

bool nation_type::is_pickable

Definition at line 160 of file nation.h.

Referenced by handle_nation_availability(), handle_ruleset_nation(), and is_nation_pickable().

## ◆ is_playable

bool nation_type::is_playable

Definition at line 108 of file nation.h.

Referenced by handle_ruleset_nation(), is_nation_playable(), and save_nation().

## ◆ item_number

Nation_type_id nation_type::item_number

Definition at line 98 of file nation.h.

Referenced by nation_init(), and nation_number().

## ◆ leaders

struct nation_leader_list* nation_type::leaders

Definition at line 104 of file nation.h.

Referenced by nation_free(), nation_init(), nation_leader_by_name(), nation_leader_new(), nation_leaders(), and save_nation().

## ◆ legend

char* nation_type::legend

Definition at line 106 of file nation.h.

Referenced by handle_ruleset_nation(), helptext_nation(), load_ruleset_nations(), nation_free(), and save_nation().

## ◆ no_startpos

bool nation_type::no_startpos

Definition at line 147 of file nation.h.

Referenced by client_can_pick_nation().

## ◆ noun_plural

struct name_translation nation_type::noun_plural

Definition at line 101 of file nation.h.

Referenced by handle_ruleset_nation(), load_nation_names(), nation_plural_translation(), and save_nation().

## ◆ parent_nations

struct nation_list* nation_type::parent_nations

Definition at line 135 of file nation.h.

Referenced by city_name_suggestion(), load_ruleset_nations(), nation_free(), and nation_init().

## ◆ player

struct player* nation_type::player

Definition at line 117 of file nation.h.

Referenced by handle_edit_player(), handle_nation_select_req(), is_nation_req_active(), races_dialog::ok_pressed(), player_set_nation(), playernation_command(), and races_toggles_set_sensitive().

## ◆ rgb

struct rgbcolor* nation_type::rgb

Definition at line 142 of file nation.h.

Referenced by nation_color(), nation_free(), and save_nation().

## ◆ [struct]

struct { ... } nation_type::server

Referenced by ai_traits_init(), api_methods_nation_trait_default(), api_methods_nation_trait_max(), api_methods_nation_trait_min(), city_name_suggestion(), client_can_pick_nation(), load_ruleset_nations(), nation_cities(), nation_city_new(), nation_color(), nation_free(), nation_init(), nations_match(), and save_nation().

## ◆ sets

struct nation_set_list* nation_type::sets

Definition at line 112 of file nation.h.

Referenced by handle_ruleset_nation(), nation_free(), nation_init(), and nation_is_in_set().

## ◆ style

struct nation_style* nation_type::style

Definition at line 105 of file nation.h.

Referenced by handle_ruleset_nation(), save_nation(), and style_of_nation().

## ◆ traits

struct trait_limits* nation_type::traits

Definition at line 144 of file nation.h.

Referenced by ai_traits_init(), api_methods_nation_trait_default(), api_methods_nation_trait_max(), api_methods_nation_trait_min(), nation_free(), nation_init(), and save_nation().

## ◆ translation_domain

char* nation_type::translation_domain

Definition at line 99 of file nation.h.

Referenced by government_ruler_title_new(), handle_ruleset_nation(), nation_free(), nation_init(), nation_legend_translation(), and save_nation().